package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Version;


/**
 * The persistent class for the TGENECOUNTRY database table.
 * 
 */
@Entity
public class Tgenecountry implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String countrycode;

	private Long areacode;

	private String citizenship;

	private String description;

	private String initials;

	@Version
	private Long recordversion;

	//bi-directional many-to-one association to Tgeneprovince
	@OneToMany(mappedBy="tgenecountry")
	private Set<Tgeneprovince> tgeneprovinces;

	public Tgenecountry() {
	}

	public String getCountrycode() {
		return this.countrycode;
	}

	public void setCountrycode(String countrycode) {
		this.countrycode = countrycode;
	}

	public Long getAreacode() {
		return this.areacode;
	}

	public void setAreacode(Long areacode) {
		this.areacode = areacode;
	}

	public String getCitizenship() {
		return this.citizenship;
	}

	public void setCitizenship(String citizenship) {
		this.citizenship = citizenship;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getInitials() {
		return this.initials;
	}

	public void setInitials(String initials) {
		this.initials = initials;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

	public Set<Tgeneprovince> getTgeneprovinces() {
		return this.tgeneprovinces;
	}

	public void setTgeneprovinces(Set<Tgeneprovince> tgeneprovinces) {
		this.tgeneprovinces = tgeneprovinces;
	}

	public Tgeneprovince addTgeneprovince(Tgeneprovince tgeneprovince) {
		getTgeneprovinces().add(tgeneprovince);
		tgeneprovince.setTgenecountry(this);

		return tgeneprovince;
	}

	public Tgeneprovince removeTgeneprovince(Tgeneprovince tgeneprovince) {
		getTgeneprovinces().remove(tgeneprovince);
		tgeneprovince.setTgenecountry(null);

		return tgeneprovince;
	}

}